Page MenuHomePhabricator

Move WMCS gerrit feeds to #wikimedia-cloud-feed
Closed, ResolvedPublic

Description

Following up on the proposal to have wikibugs broadcasting WMCS feeds all in #wikimedia-cloud-feed

https://lists.wikimedia.org/pipermail/cloud-admin/2018-October/000259.html

Event Timeline

Killed jobs and started them again. Bot still joined #wikimedia-cloud afterward, so I definitely don't understand how this is being configured.

tools.wikibugs@tools-bastion-03:~$ qstat
job-ID  prior   name       user         state submit/start at     queue                          slots ja-task-ID 
-----------------------------------------------------------------------------------------------------------------
1006551 0.37682 lighttpd-w tools.wikibu r     06/27/2018 09:11:20 webgrid-lighttpd@tools-webgrid     1        
1480313 0.37094 wb2-phab   tools.wikibu Rr    10/04/2018 19:05:59 continuous@tools-exec-1427.too     1        
3899121 0.34169 wb2-irc    tools.wikibu r     08/21/2018 13:10:57 continuous@tools-exec-1413.too     1        
4235074 0.33764 wb2-grrrri tools.wikibu Rr    10/19/2018 01:00:17 continuous@tools-exec-1420.too     1        

tools.wikibugs@tools-bastion-03:~$ qdel 1480313
tools.wikibugs has registered the job 1480313 for deletion
tools.wikibugs@tools-bastion-03:~$ qdel 3899121
tools.wikibugs has registered the job 3899121 for deletion
tools.wikibugs@tools-bastion-03:~$ qdel 4235074
tools.wikibugs has registered the job 4235074 for deletion

tools.wikibugs@tools-bastion-03:~$ qstat
job-ID  prior   name       user         state submit/start at     queue                          slots ja-task-ID 
-----------------------------------------------------------------------------------------------------------------
1006551 0.37682 lighttpd-w tools.wikibu r     06/27/2018 09:11:20 webgrid-lighttpd@tools-webgrid     1

tools.wikibugs@tools-bastion-03:~$ /usr/bin/jsub -N wb2-phab -l release=trusty -mem 1G -once -v PYTHONIOENCODING="utf8:backslashreplace" -continuous /data/project/wikibugs/py-wikibugs2/bin/python /data/project/wikibugs/wikibugs2/wikibugs.py --logfile /data/project/wikibugs/wikibugs.log
Your job 1018111 ("wb2-phab") has been submitted
tools.wikibugs@tools-bastion-03:~$ /usr/bin/jsub -N wb2-grrrrit -l release=trusty -mem 1G -once -v PYTHONIOENCODING="utf8:backslashreplace" -continuous /data/project/wikibugs/py-wikibugs2/bin/python /data/project/wikibugs/wikibugs2/grrrrit.py --logfile /data/project/wikibugs/grrrrit.log
Your job 1018112 ("wb2-grrrrit") has been submitted
tools.wikibugs@tools-bastion-03:~$ /usr/bin/jsub -N wb2-irc -l release=trusty -mem 1G -once -v PYTHONIOENCODING="utf8:backslashreplace" -continuous /data/project/wikibugs/py-wikibugs2/bin/python /data/project/wikibugs/wikibugs2/redis2irc.py --logfile /data/project/wikibugs/redis2irc.log
Your job 1018113 ("wb2-irc") has been submitted

tools.wikibugs@tools-bastion-03:~$ qstat
job-ID  prior   name       user         state submit/start at     queue                          slots ja-task-ID 
-----------------------------------------------------------------------------------------------------------------
1006551 0.37682 lighttpd-w tools.wikibu r     06/27/2018 09:11:20 webgrid-lighttpd@tools-webgrid     1        
1018111 0.30000 wb2-phab   tools.wikibu r     10/26/2018 00:37:52 continuous@tools-exec-1442.too     1        
1018112 0.30000 wb2-grrrri tools.wikibu r     10/26/2018 00:37:57 continuous@tools-exec-1403.eqi     1        
1018113 0.30000 wb2-irc    tools.wikibu r     10/26/2018 00:38:03 continuous@tools-exec-1431.too     1
Legoktm added a subscriber: Legoktm.

-cloud is the bot's home. It's just always there. In any case, it does send Gerrit events to the channel, which is configured in gerrit-channels.yaml.

https://gerrit.wikimedia.org/r/plugins/gitiles/labs/tools/wikibugs2/+/master/redis2irc.py#150

https://gerrit.wikimedia.org/r/plugins/gitiles/labs/tools/wikibugs2/+/master/gerrit-channels.yaml#165

I'm closing as invalid since this is the expected behavior...if you don't want the bot in the channel feel free to re-open.

@Legoktm thanks for that information, much appreciated. Closing as invalid seems fair since there's nothing wrong.

Change 469950 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[labs/tools/wikibugs2@master] gerrit-channels: Move WMCS feeds to #wikimedia-cloud-feed

https://gerrit.wikimedia.org/r/469950

GTirloni renamed this task from wikibugs is on #wikimedia-cloud but channel is not in channels.yaml to Move WMCS gerrit feeds to #wikimedia-cloud-feed.Oct 26 2018, 6:16 PM
GTirloni reopened this task as Open.
GTirloni claimed this task.
GTirloni triaged this task as Low priority.
GTirloni updated the task description. (Show Details)
GTirloni removed a subscriber: Stashbot.

Change 469950 merged by jenkins-bot:
[labs/tools/wikibugs2@master] gerrit-channels: Move WMCS feeds to #wikimedia-cloud-feed

https://gerrit.wikimedia.org/r/469950